## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           joft
Version:        0.1.1
Release:        %autorelease
Summary:        CLI tool for automation of user actions on a JIRA instance
License:        MIT
URL:            https://github.com/mcurlej/joft
Source:         %{url}/archive/refs/tags/%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
JOFT is a CLI tool for automation of user actions on a JIRA instance.
This was created because the build-in automation in JIRA is not
sufficient when you want to do complex actions without having
the admin rights on the instance.}

%description %_description


%prep
%autosetup -p1 -n joft-%{version}
# Remove version limits from dependencies
sed -i "/platformdirs/s/>=[^\"]*//" pyproject.toml
sed -i "/pytest/s/>=[^\"]*//" pyproject.toml


%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l joft
mkdir -p %{buildroot}%{_sysconfdir}
touch %{buildroot}%{_sysconfdir}/joft.config.toml


%check
%pytest


%files -f %{pyproject_files}
%doc README.md CHANGELOG.md
%{_bindir}/joft
%ghost %{_sysconfdir}/joft.config.toml


%changelog
## START: Generated by rpmautospec
* Thu Oct 17 2024 Lumir Balhar <lbalhar@redhat.com> - 0.1.1-2
- Remove version limits from dependencies

* Thu Oct 17 2024 Lumir Balhar <lbalhar@redhat.com> - 0.1.1-1
- Initial import (fedora#2318507).
## END: Generated by rpmautospec
